"use strict";

var _require = require('util'),
    promisify = _require.promisify;
/**
 * Collect `stream`'s data in to an array of Buffers.
 *
 * @module node-vcr/buffer
 * @param { stream.Readable } stream
 * @returns { Promise.<Array> }
 */


var buffer = function buffer(stream, callback) {
  var data = [];
  stream.on('data', function (chunk) {
    data.push(chunk);
  });
  stream.on('error', function (error) {
    return callback(error);
  });
  stream.on('end', function () {
    return callback(null, data);
  });
};

module.exports = promisify(buffer);