"use strict";

var http = require('http');
/**
 * Formats an http.IncomingMessage like curl does.
 *
 * @memberof module:node-vcr/curl
 * @param { http.IncomingMessage }
 * @returns { String }
 */


var request = function request(req) {
  var out = "< ".concat(req.method, " ").concat(req.url, " HTTP/").concat(req.httpVersion, "\n");
  Object.keys(req.headers).forEach(function (name) {
    out += "< ".concat(name, ": ").concat(req.headers[name], "\n");
  });
  return "".concat(out, "<");
};
/**
 * Formats an http.ServerResponse like curl does.
 *
 * @memberof module:node-vcr/curl
 * @param { http.ServerResponse }
 * @returns { String }
 */


var response = function response(req, res) {
  var out = "> HTTP/".concat(req.httpVersion, " ").concat(res.statusCode, " ").concat(http.STATUS_CODES[res.statusCode], "\n");
  Object.keys(res._headers).forEach(function (name) {
    out += "> ".concat(name, ": ").concat(res._headers[name], "\n");
  });
  return "".concat(out, ">");
};
/**
 * @module node-vcr/curl
 */


module.exports = {
  request: request,
  response: response
};