const http = require('http')
const vcr = require('./src')
const debug = require('debug')('node-vcr')

const config = {
  vcr: {
    soap: {
      port: 8888,
      proxyTarget: 'https://044e7ca8.eu.ngrok.io',
      noRecord: false
    }
  }
}

const handler = vcr(config.vcr.soap.proxyTarget, {
  dirname: `${__dirname}/soap-playback`,
  tapeRequestBody: true,
  noRecord: config.vcr.soap.noRecord
})

debug(`localhost listening on port ${config.vcr.soap.port} to proxy to ${config.vcr.soap.proxyTarget}`)
debug(`record mode is ${config.vcr.soap.noRecord ? 'disabled' : 'enabled'}`)

const server = http.createServer(handler)

function startServer () {
  // All requests issued to localhost:8888 will be proxied
  server.listen(config.vcr.soap.port)
  return server
}

function stopServer () {
  server.close()
}

module.exports = {
  startServer,
  stopServer
}

/**
 * Start the server if the file is started with node
 */
if (require.main === module) {
  startServer()
}
